/*
----------------------------------------------
	Selection Restore Functions v1.1
----------------------------------------------
	Created by Matt Stow & Amos Robinson 2008
	http://www.mattstow.com
	http://www.amospheric.com/
----------------------------------------------
*/

function SelectionRestore()
{
	var dom = fw.getDocumentDOM();
	var is_sel_id = "is_sel_id_" + new Date().getMilliseconds();

	if (fw.selection != null && fw.selection.length > 0) {
		for (var s in fw.selection) {
			if (fw.selection[s].customData != null)
				fw.selection[s].customData[is_sel_id] = true;
		}
	}
	
	this.getObjects = function() {
		var objects = new Array();
		
		for (var lay in dom.layers) {
			for (var elem in dom.layers[lay].elems) {
				if (dom.layers[lay].elems[elem].customData != null && dom.layers[lay].elems[elem].customData[is_sel_id]) {
					objects.push(dom.layers[lay].elems[elem]);
				}
			}
		}
		
		return objects;
	}
	
	this.restore = function() {
		fw.selection = this.getObjects();
	}
	
	this.destroy = function() {
		for (var lay in dom.layers) {
			for (var elem in dom.layers[lay].elems) {
				if (dom.layers[lay].elems[elem].customData != null) {
					delete dom.layers[lay].elems[elem].customData[is_sel_id];
				}
			}
		}
	}
}